[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ShellCtrls' (#lcl)

# TCustomShellListView.GetPathFromItem

Gets the path on the local file system for the specified item.

## Declaration

Source position: shellctrls.pas line 293

`public function TCustomShellListView.GetPathFromItem(`
`ANode: TListItem`
`):string;`

## Arguments

`ANode` |  | List item examined in the method.

## Function result

Complete path to the item.

## Description

GetPathFromItem is a String function used to get the path on the local file system for the list item specified in ANode. The return value contains the content from the Root property with a trailing path delimiter, joined with the Caption for the TListItem in ANode.

## See also

TCustomShellListView.Root |  | Indicates the initial directory path whose objects are displayed in the control.
TListItem |  | Represents the items created in TCustomListView and descendants.